# Name Compare

## ind\_names

`POST` `https://secctrl.tutelar.io/api/v1/kyc/utility/ind_names`

## Post Parameters description is given below

| Post Parameter | Type   | is Mandatory | Description |
| -------------- | ------ | ------------ | ----------- |
| name1          | String | yes          | name        |
| name2          | String | yes          | name        |

## Sample Post Parameters

```json
{
    "name1": "Vignesh",
    "name2": "Vignesh d"
}
```

200: Success Response

400: Validation Error Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "status": "completed",
    "reference_id": "e5dfe9b6-79f0-4e75-8451-9848adfea732",
    "result": {
        "name_match_score": 86
    },
    "requested_at": "2024-04-18T13:16:13.135Z",
    "completed_at": "2024-04-18T13:16:13.000Z"
}
```

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid name1",
        "field": "name1",
        "code": "BAD_REQUEST"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/name-compare.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
